package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * UpdateSsidRateLimitOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class UpdateSsidRateLimitOpenApiVo   {
  @JsonProperty("clientRateLimit")
  private Object clientRateLimit;

  @JsonProperty("ssidRateLimit")
  private Object ssidRateLimit;

  public UpdateSsidRateLimitOpenApiVo clientRateLimit(Object clientRateLimit) {
    this.clientRateLimit = clientRateLimit;
    return this;
  }

  /**
   * Get clientRateLimit
   * @return clientRateLimit
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getClientRateLimit() {
    return clientRateLimit;
  }

  public void setClientRateLimit(Object clientRateLimit) {
    this.clientRateLimit = clientRateLimit;
  }

  public UpdateSsidRateLimitOpenApiVo ssidRateLimit(Object ssidRateLimit) {
    this.ssidRateLimit = ssidRateLimit;
    return this;
  }

  /**
   * Get ssidRateLimit
   * @return ssidRateLimit
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getSsidRateLimit() {
    return ssidRateLimit;
  }

  public void setSsidRateLimit(Object ssidRateLimit) {
    this.ssidRateLimit = ssidRateLimit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpdateSsidRateLimitOpenApiVo updateSsidRateLimitOpenApiVo = (UpdateSsidRateLimitOpenApiVo) o;
    return Objects.equals(this.clientRateLimit, updateSsidRateLimitOpenApiVo.clientRateLimit) &&
        Objects.equals(this.ssidRateLimit, updateSsidRateLimitOpenApiVo.ssidRateLimit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(clientRateLimit, ssidRateLimit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpdateSsidRateLimitOpenApiVo {\n");
    
    sb.append("    clientRateLimit: ").append(toIndentedString(clientRateLimit)).append("\n");
    sb.append("    ssidRateLimit: ").append(toIndentedString(ssidRateLimit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

